Index: src/zshare/cz/vity/freerapid/plugins/services/zshare/ZShareRunner.java
===================================================================
--- src/zshare/cz/vity/freerapid/plugins/services/zshare/ZShareRunner.java	(revision 3283)
+++ src/zshare/cz/vity/freerapid/plugins/services/zshare/ZShareRunner.java	(working copy)
@@ -35,44 +35,10 @@
     }
 
     private void checkNameandSize(String contentAsString) throws Exception {
-
-        if (contentAsString.toLowerCase().contains("file not found")) {
-            throw new URLNotAvailableAnymoreException(String.format("<b>File not found</b><br>"));
-        }
-
-        if (!contentAsString.contains("form name=\"form1\" method=\"post\" action=")) {
-            logger.warning(getContentAsString());
-            throw new InvalidURLOrServiceProblemException("Invalid URL or unindentified service");
-        }
-
-
-        if (contentAsString.contains("File Name")) {
-            Matcher matcher = PlugUtils.matcher("\\-\\s*([^-]+)</title>", contentAsString);
-            if (matcher.find()) {
-                String fn = matcher.group(1);
-                fn = fn.replace(".html", "");
-
-                fn = fn.replace("\"", "");
-                fn = fn.replace(";", "");
-
-                logger.info("File name " + fn);
-                httpFile.setFileName(fn);
-            } else {
-                logger.warning("File name was not found" + contentAsString);
-            }
-            matcher = PlugUtils.matcher("([0-9.]+.B)</font>", contentAsString);
-            if (matcher.find()) {
-                Long a = PlugUtils.getFileSizeFromString(matcher.group(1));
-                logger.info("File size " + a);
-                httpFile.setFileSize(a);
+        PlugUtils.checkName(httpFile, contentAsString, "<title>zSHARE - ", " - Free File Hosting Service | Audio and Video Sharing | Image Uploading | Web storage</title>");
+        httpFile.setFileSize(PlugUtils.getFileSizeFromString(PlugUtils.getStringBetween(contentAsString, "File Size: <font color=\"#666666\">", "</font>")));
-                httpFile.setFileState(FileState.CHECKED_AND_EXISTING);
+        httpFile.setFileState(FileState.CHECKED_AND_EXISTING);
-            } else {
-                logger.warning("File size was not found" + contentAsString);
-            }
+    }
-        } else {
-            logger.warning("File name was not found" + contentAsString);
-        }
-    }
 
     @Override
     public void run() throws Exception {
Index: src/zshare/cz/vity/freerapid/plugins/services/zshare/TestApp.java
===================================================================
--- src/zshare/cz/vity/freerapid/plugins/services/zshare/TestApp.java	(revision 3283)
+++ src/zshare/cz/vity/freerapid/plugins/services/zshare/TestApp.java	(working copy)
@@ -18,7 +18,7 @@
         final HttpFile httpFile = getHttpFile(); //creates new test instance of HttpFile
         try {
             //we set file URL
-            httpFile.setNewURL(new URL("http://www.zshare.net/download/69316048e4c0a92b/"));
+            httpFile.setNewURL(new URL("http://www.zshare.net/download/8932484840e804f2/"));
             //the way we connect to the internet
             final ConnectionSettings connectionSettings = new ConnectionSettings();// creates default connection
             //then we tries to download
